<?php

function notifications_journal($arr,$type) {

if ($type == 'list') echo '<div class="block">';
else if ($type == 'notifications') echo '<div class="block_notification" id="block_notification_close_'.$arr['time'].'"><div class="right"><a href="" onclick="Notifications.Close('.$arr['time'].'); return false"><img src="'.URL.'/design/img/closed.png"></a></div>';

if ($arr['type'] != 'ask') echo user_name($arr['from_id']).'<ul>';



if ($arr['mod'] == 'friends')
{



	if ($arr['type'] == 'add_friend')
	{
		if ($arr['sex'] == 2) echo lang('приняла Ваше предложение дружбы','прийняла Вашу пропозицію дружби');
		else echo lang('принял Ваше предложение дружбы','прийняв Вашу пропозицію дружби');
	}
	
	
	
}
if ($arr['mod'] == 'avatar')
{



	if ($arr['type'] == 'like')
	{
		if ($arr['sex'] == 2) echo lang('оценила','оцінила').' ';
		else echo lang('оценил','оцінив').' ';
		echo 'Вашу <a href="'.URL.'/avatars/show_like.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">аватарку</a>';
	}
	else if ($arr['type'] == 'comm')
	{
		if ($arr['sex'] == 2) echo lang('прокомментировала','прокоментувала').' ';
		else echo lang('прокомментировал','прокоментував').' ';
		echo 'Вашу <a href="'.URL.'/avatars/preview.php?fid='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">аватарку</a>';
	}
	else if ($arr['type'] == 're_comm')
	{
		if ($arr['sex'] == 2) echo lang('ответила','відповіла').' ';
		else echo lang('ответил','відповів').' ';
		echo 'на Ваш <a href="'.URL.'/avatars/preview.php?fid='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">пост</a>';
	}
}
			
			
else if ($arr['mod'] == 'photo')
		
			
{
	if ($arr['type'] == 'like')
	{
		if ($arr['sex'] == 2) echo lang('оценила','оцінила').' ';
		else echo lang('оценил','оцінив').' ';
		echo 'Вашу <a href="'.URL.'/photos/show_like.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">'.lang('фотографию','фотографію').'</a>';
	}
	else if ($arr['type'] == 'comm')
	{
		if ($arr['sex'] == 2) echo lang('прокомментировала','прокоментувала').' ';
		else echo lang('прокомментировал','прокоментував').' ';
		echo 'Вашу <a href="'.URL.'/photos/preview.php?fid='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">'.lang('фотографию','фотографію').'</a>';
	}
	else if ($arr['type'] == 're_comm')
	{
		if ($arr['sex'] == 2) echo lang('ответила','відповіла').' '; else echo lang('ответил','відповів').' ';
		echo 'на Ваш <a href="'.URL.'/photos/preview.php?fid='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">пост</a>';
	}
}



else if ($arr['mod'] == 'ask')
		
			
			
{
	if ($arr['type'] == 'ask')
	{
		echo '<a href="'.URL.'/ask/ask.php" onclick="Page.Go(this.href); return false;">'.lang('Спроси меня','Запитай мене').'</a> +1';
	}
	else if ($arr['type'] == 're_ask')
	{
		if ($arr['sex'] == 2) echo lang('ответила','відповіла').' '; else echo lang('ответил','відповів').' ';
		echo 'на '.lang('Ваш','Ваше').' <a href="'.URL.'/ask/?id='.$arr['from_id'].'" onclick="Page.Go(this.href); return false;">'.lang('вопрос','запитання').'</a>';
	}
}


else if ($arr['mod'] == 'wall')
		
			
{
	if ($arr['type'] == 'post')
	{
		if ($arr['sex'] == 2) echo lang('добавила запись','додала запис').' ';
		else echo lang('добавил запись','додав запис').' ';
		echo 'на Вашу <a href="'.URL.'/?id='.$user_id.'" onclick="Page.Go(this.href); return false;">'.lang('стену','стіну').'</a>';
	}
	else if ($arr['type'] == 'repost')
	{
		if ($arr['sex'] == 2) echo lang('поделилась Вашей','поділилася Вашим').' ';
		else echo lang('поделился Вашей','поділився Вашим').' ';
		echo '<a href="'.URL.'/wall/show_repost.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">'.lang('записью на стене','записом на стіні').'</a>';
	}
	else if ($arr['type'] == 'like')
	{
		if ($arr['sex'] == 2) echo lang('оценила Вашу','оцінила Ваш').' ';
		else echo lang('оценил Вашу','оцінив Ваш').' ';
		echo '<a href="'.URL.'/wall/show_like.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">'.lang('запись на стене','запис на стіні').'</a>';
	}
	else if ($arr['type'] == 'comm')
	{
		if ($arr['sex'] == 2) echo lang('прокомментировала Вашу','прокоментувала Ваш').' ';
		else echo lang('прокомментировал Вашу','прокоментував Ваш').' ';
		echo '<a href="'.URL.'/wall/post.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">'.lang('запись на стене','запис на стіні').'</a>';
	}
	else if ($arr['type'] == 're_comm')
	{
		if ($arr['sex'] == 2) echo lang('ответила','відповіла').' '; else echo lang('ответил','відповів').' ';
		echo 'на Ваш <a href="'.URL.'/wall/post.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">пост</a>';
	}
}


else if ($arr['mod'] == 'group_wall')
		
			
{
	if ($arr['type'] == 'repost')
	{
		if ($arr['sex'] == 2) echo lang('поделилась Вашей','поділилася Вашим').' ';
		else echo lang('поделился Вашей','поділився Вашим').' ';
		echo '<a href="'.URL.'/groups/wall/show_repost.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">'.lang('записью на стене сообщества','записом на стіні спільноти').'</a>';
	}
	else if ($arr['type'] == 'like')
	{
		if ($arr['sex'] == 2) echo lang('оценила Вашу','оцінила Ваш').' ';
		else echo lang('оценил Вашу','оцінив Ваш').' ';
		echo '<a href="'.URL.'/groups/wall/show_like.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">'.lang('запись на стене сообщества','запис на стіні спільноти').'</a>';
	}
	else if ($arr['type'] == 'comm')
	{
		if ($arr['sex'] == 2) echo lang('прокомментировала Вашу','прокоментувала Ваш').' ';
		else echo lang('прокомментировал Вашу','прокоментував Ваш').' ';
		echo '<a href="'.URL.'/groups/wall/post.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">'.lang('запись на стене сообщества','запис на стіні спільноти').'</a>';
	}
	else if ($arr['type'] == 're_comm')
	{
		if ($arr['sex'] == 2) echo lang('ответила','відповіла').' '; else echo lang('ответил','відповів').' ';
		echo 'на Ваш <a href="'.URL.'/groups/wall/post.php?id='.$arr['refid'].'" onclick="Page.Go(this.href); return false;">пост</a>';
	}
}

	if ($type == 'list') echo '</ul><ul>'.vtime($arr['time']).'</ul>';
	echo '</div>';
}

?>